g3utils-1.1.37-lp151.3.29.x86_64.rpm


Advertisement

Description

g3utils - Tools for the G3 (Fax) Graphics Format

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename g3utils-1.1.37-lp151.3.29.x86_64.rpm
Package name g3utils
Package version 1.1.37
Package release lp151.3.29
Package architecture x86_64
Package type rpm
Category Productivity/Graphics/Convertors
Homepage http://mgetty.greenie.net/
License GPL-2.0+
Maintainer -
Download size 33.92 KB
Installed size 71.13 KB
These utilities convert graphics files from the G3 format into the
general- purpose PBM format and back, so you can print or manipulate
them. G3 is used by fax modems and machines.
The g3utils are included in the mgetty source package.

Alternatives

Package Version Architecture Repository
g3utils - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -

Provides

Name Value
g3utils = 1.1.37-lp151.3.29
g3utils(x86-64) = 1.1.37-lp151.3.29

Download

Type URL
Mirror widehat.opensuse.org
Binary Package g3utils-1.1.37-lp151.3.29.x86_64.rpm
Source Package mgetty-1.1.37-lp151.3.29.src.rpm

Install Howto

Install g3utils rpm package:

# zypper install g3utils

Files

Path
/usr/bin/g32pbm
/usr/bin/g3cat
/usr/bin/g3topbm
/usr/bin/pbm2g3
/usr/share/man/man1/g32pbm.1.gz
/usr/share/man/man1/g3cat.1.gz
/usr/share/man/man1/pbm2g3.1.gz

Changelog

2018-09-21 - Marketa Calabkova <mcalabkova@suse.com>
- Added patch mgetty-fax-block-code-injection.patch to fix
bsc#1108752 (CVE-2018-16741): command injection in fax/faxq-helper.c
2018-09-21 - Marketa Calabkova <mcalabkova@suse.com>
- Added patches:
* mgetty-fix-buffer-overflow.patch - upstream patch, sets maximum
length of a string to prevent buffer overflow and thus possible
command injection
* mgetty-delete-obsolete.patch - upstream-based patch, deletes
obsolete file contrib/scrts.c, which could cause buffer overflow
- Fixed bugs:
* bsc#1108756 (CVE-2018-16745): Stack-based buffer overflow in
fax_notify_mail() in faxrec.c
* bsc#1108757 (CVE-2018-16744): Command injection in faxrec.c
* bsc#1108762 (CVE-2018-16742): Stack-based buffer overflow in
contrib/scrts.c triggered via command line parameter
* bsc#1108761 (CVE-2018-16743): Stack-based buffer overflow with
long username in contrib/next-login/login.c
2017-06-07 - sbrabec@suse.com
- Update to version 1.1.37:
* faxspool: implement "-t hh:mm-hh:mm" time-range syntax, add
@DATE +<format>@ to faxheader processing
* faxq: properly display queued jobs with time-range field
* faxrunqd: correctly handle jobs running out of the end of their
sent-time window.
INCOMPATIBLE CHANGE: Changes handling of "-t hh:mm" to
"from hh:mm to midnight"
* microcom: improve read-from-device exception handling
* sendfax: send NSF frame on reception,
new option reset-after-fail
* faxrunqd: enhance and clarify per-modem statistics
- New build fixes (mgetty-noroot.patch, mgetty-mkdir-p.patch).
- Update patches
(mgetty-1.1.36-callback.patch -> mgetty-1.1.37-callback.patch,
mgetty-1.1.36-makefile.patch -> mgetty-1.1.37-makefile.patch).
2017-06-05 - tchvatal@suse.com
- Cleanup a bit with spec-cleaner
- Remove few rpmlint warnings and reduce the deps to contain only
what is needed
- Add patch to build with gcc7 0001-Fix-build-failure-with-gcc-7.patch
bsc#1041290
2016-10-26 - kukuk@suse.de
- Add PreReq for group uucp to sendfax package
2016-02-27 - mpluskal@suse.com
- Use correct permissions for unit files (boo#968571)
2015-01-28 - mpluskal@suse.com
- Require systemd-rpm-macros instead of systemd for building
2015-01-24 - mpluskal@suse.com
- Add mgetty@.service and vgetty@.service (boo#914661)
2014-11-27 - Led <ledest@gmail.com>
- fix bashisms in faxback.sh script
- add patches:
* mgetty-1.1.36-fix-bashisms.patch
2013-03-05 - schwab@suse.de
- lp64.patch: Add support for future LP64 platforms

See Also

Package Description
gaa-1.6.6-lp151.2.3.x86_64.rpm GAA Argument Analyzer and Code Generator
gajim-1.0.3-lp151.2.2.noarch.rpm XMPP client written in Python and Gtk3
gajim-lang-1.0.3-lp151.2.2.noarch.rpm Translations for package gajim
galaxis-1.9-lp151.2.2.x86_64.rpm Clone of the nifty little Macintosh game
galculator-2.1.4-lp151.2.3.x86_64.rpm A GTK 3 based calculator
galculator-lang-2.1.4-lp151.2.3.noarch.rpm Translations for package galculator
gama-1.22-lp151.2.5.x86_64.rpm Adjustment of geodetic networks
gambas3-3.10.0-lp151.3.66.x86_64.rpm BASIC interpreter under Linux
gambas3-devel-3.10.0-lp151.3.66.x86_64.rpm The Gambas devel package
gambas3-gb-args-3.10.0-lp151.3.66.x86_64.rpm The first C getopt() interface component for Gambas
gambas3-gb-cairo-3.10.0-lp151.3.66.x86_64.rpm Cairo source pattern for Gambas
gambas3-gb-clipper-3.10.0-lp151.3.66.x86_64.rpm The clipper component for Gambas
gambas3-gb-complex-3.10.0-lp151.3.66.x86_64.rpm Support complex numbers for Gambas
gambas3-gb-compress-3.10.0-lp151.3.66.x86_64.rpm A compression component for Gambas
gambas3-gb-compress-bzlib2-3.10.0-lp151.3.66.x86_64.rpm The bzlib2 compression component for Gambas
Advertisement
Advertisement